<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{authorisations.create}">Weiterbildungsbefugnis erstellen</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>

	<main>
	<h1 data-th-text="#{authorisations.create}">Weiterbildungsbefugnis erstellen</h1>
	<form data-th-attr="action=@{/persons/authoriseddoctors/{authorisedDoctorId}/authorisations/create(authorisedDoctorId=${authorisationField.authorisedDoctor.id})}" method="post" th:object="${authorisationField}">
		<input type="hidden" data-th-field="*{id}" /> <input type="hidden" data-th-field="*{authorisedDoctor.id}" />

		<fieldset>
			<legend data-th-text="#{authorisations.coredata}">Allgemeine Daten</legend>

			<label for="trainingSite" data-th-text="#{authorisations.trainingsite}">Weiterbildungsstätte</label> <select data-th-field="*{trainingSite}" data-th-errorclass="error">
				<th:block data-th-each="trainingSite: ${trainingSites}" data-th-switch="${trainingSite.trainingSiteType}">
					<option data-th-case="${T(org.infai.ddls.medicaltrainingv2.model.location.TrainingSiteType).DOCTORSOFFICE}" data-th-value="${trainingSite.id}" data-th-text="${trainingSite.name}">Weiterbildungsstätte</option>
					<optgroup data-th-case="${T(org.infai.ddls.medicaltrainingv2.model.location.TrainingSiteType).CLINIC}" data-th-label="${trainingSite.name}">
						<option data-th-each="department: ${trainingSite.departments}" data-th-value="${department.id}" data-th-text="${department.name}" />
					</optgroup>
				</th:block>
			</select>

			<th:block data-th-replace="fragments/forms::singleSelect(field='trainingScheme', fieldname='authorisations.trainingscheme', options=${trainingSchemes}, allowNull=false)" />
			<th:block data-th-replace="fragments/forms::date(field='validFrom', fieldname='authorisations.validfrom')" />
			<th:block data-th-replace="fragments/forms::date(field='validUntil', fieldname='authorisations.validuntil')" />
			<th:block data-th-replace="fragments/forms::number(field='maximalDuration', fieldname='authorisations.maximalduration')" />
		</fieldset>

		<div>
			<button name="saveAction" value="save" data-th-text="#{save}">Speichern</button>
			<button name="saveAction" value="saveAndClose" data-th-text="#{saveAndClose}">Speichern und schließen</button>
			<button name="saveAction" value="saveAndCreateTrainingPosition" data-th-text="#{saveAndCreateTrainingPosition}">Speichern und Weiterbildungsstelle erstellen</button>
		</div>

	</form>
	</main>

</body>
</html>